vector-0.10.0.1: Efficient Arrays

Portability | non-portable
Stability | experimental
Maintainer | Roman Leshchinskiy <rl@cse.unsw.edu.au>
Safe Haskell | None

Data.Vector.Internal.Check

Description

Bounds checking infrastructure

# Documentation

data Checks Source

Constructors

Bounds |
Unsafe |
Internal |

Instances

Eq Checks |

doChecks :: Checks -> Bool Source

error :: String -> Int -> String -> String -> aSource

internalError :: String -> Int -> String -> String -> aSource

check :: String -> Int -> Checks -> String -> String -> Bool -> a -> aSource

checkIndex :: String -> Int -> Checks -> String -> Int -> Int -> a -> aSource

checkLength :: String -> Int -> Checks -> String -> Int -> a -> aSource

checkSlice :: String -> Int -> Checks -> String -> Int -> Int -> Int -> a -> aSource